summaryrefslogtreecommitdiffstats
path: root/scripts/pacman-key.sh.in
diff options
context:
space:
mode:
authorDave Reisner <dreisner@archlinux.org>2012-04-17 06:27:37 +0200
committerDan McGee <dan@archlinux.org>2012-04-24 15:38:36 +0200
commit62dbf7ec43f4420c20b78ec647594c3f63558a39 (patch)
tree40a10ebb15df10979c881078203a318ef7b6bb4a /scripts/pacman-key.sh.in
parentf61f075b1cd4c226d1633abd383565934bea2f0d (diff)
downloadpacman-62dbf7ec43f4420c20b78ec647594c3f63558a39.tar.gz
pacman-62dbf7ec43f4420c20b78ec647594c3f63558a39.tar.xz
scripts: avoid dumping usage on parser fail
Avoid letting the error message from parseopts get lost in the usage output from pacman-key and makepkg (which is already verbose).
Diffstat (limited to 'scripts/pacman-key.sh.in')
-rw-r--r--scripts/pacman-key.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/pacman-key.sh.in b/scripts/pacman-key.sh.in
index 2ee05c51..75564930 100644
--- a/scripts/pacman-key.sh.in
+++ b/scripts/pacman-key.sh.in
@@ -466,7 +466,7 @@ OPT_LONG=('add' 'config:' 'delete' 'edit-key' 'export' 'finger' 'gpgdir:'
'lsign-key' 'populate' 'recv-keys' 'refresh-keys' 'updatedb'
'verify' 'version')
if ! parseopts "$OPT_SHORT" "${OPT_LONG[@]}" -- "$@"; then
- echo; usage; exit 1 # E_INVALID_OPTION;
+ exit 1 # E_INVALID_OPTION;
fi
set -- "${OPTRET[@]}"
unset OPT_SHORT OPT_LONG OPTRET